package com.zhyc.module.app.service.impl;

import java.util.List;
import com.zhyc.common.utils.DateUtils;
import com.zhyc.module.app.domain.AppErrorLog;
import com.zhyc.module.app.mapper.AppErrorLogMapper;
import com.zhyc.module.app.service.IAppErrorLogService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;



/**
 * App错误日志Service业务层处理
 * 
 * @author ruoyi
 * @date 2026-01-19
 */
@Service
public class AppErrorLogServiceImpl implements IAppErrorLogService
{
    @Autowired
    private AppErrorLogMapper appErrorLogMapper;

    /**
     * 查询App错误日志
     * 
     * @param id App错误日志主键
     * @return App错误日志
     */
    @Override
    public AppErrorLog selectAppErrorLogById(Long id)
    {
        return appErrorLogMapper.selectAppErrorLogById(id);
    }

    /**
     * 查询App错误日志列表
     * 
     * @param appErrorLog App错误日志
     * @return App错误日志
     */
    @Override
    public List<AppErrorLog> selectAppErrorLogList(AppErrorLog appErrorLog)
    {
        return appErrorLogMapper.selectAppErrorLogList(appErrorLog);
    }

    /**
     * 新增App错误日志
     * 
     * @param appErrorLog App错误日志
     * @return 结果
     */
    @Override
    public int insertAppErrorLog(AppErrorLog appErrorLog)
    {
        appErrorLog.setCreateTime(DateUtils.getNowDate());
        return appErrorLogMapper.insertAppErrorLog(appErrorLog);
    }

    /**
     * 修改App错误日志
     * 
     * @param appErrorLog App错误日志
     * @return 结果
     */
    @Override
    public int updateAppErrorLog(AppErrorLog appErrorLog)
    {
        return appErrorLogMapper.updateAppErrorLog(appErrorLog);
    }

    /**
     * 批量删除App错误日志
     * 
     * @param ids 需要删除的App错误日志主键
     * @return 结果
     */
    @Override
    public int deleteAppErrorLogByIds(Long[] ids)
    {
        return appErrorLogMapper.deleteAppErrorLogByIds(ids);
    }

    /**
     * 删除App错误日志信息
     * 
     * @param id App错误日志主键
     * @return 结果
     */
    @Override
    public int deleteAppErrorLogById(Long id)
    {
        return appErrorLogMapper.deleteAppErrorLogById(id);
    }
}
